%define _legacy_common_support 1

%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

%define ggz_base_libs_version %{version}

Name:		ggz-gtk-client
Summary:	GGZ Client with GTK+ user interface
Version:	0.99.5
Release:	%mkrel 8
License:	GPLv2+
Group:		Games/Other
URL:		http://ggzgamingzone.org/

# https://downloads.sf.net/ggz/
Source:		http://ftp.ggzgamingzone.org/pub/ggz/snapshots/%{name}-snapshot-%{version}.tar.gz
Patch0:		ggz-gtk-client-0.99.5-linkage_fix.diff
Patch1:		ggz-gtk-client-0.99.5-fedora-format-security.patch
BuildRequires:	ggz-base-libs-devel = %{ggz_base_libs_version}
BuildRequires:	gtk+2-devel
BuildRequires:	desktop-file-utils
Requires:	ggz-base-libs = %{ggz_base_libs_version}
Recommends:	ggz-game-modules = %{version}

%description
The official GGZ Gaming Zone client with GTK+ user interface.

%package -n	%{libname}
Summary:	GGZ Library client with GTK+ user interface
Group:		Games/Other
Obsoletes:	%{mklibname %name} < 0.0.14.1-2

%description -n	%{libname}
The official GGZ Gaming Zone client with GTK+ user interface.

%package -n	%{develname}
Summary:	Development files for GGZ Gaming Zone client with GTK+ user interface
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides: 	%{name}-devel = %{version}

%description -n	%{develname}
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains headers and other development files used for
building GGZ Gaming Zone GTK2+ client.

%prep
%setup -q -n %{name}-snapshot-%{version}
%autopatch -p1

%build
export CFLAGS="%{optflags} -std=gnu17"
autoreconf -fis

%configure \
	--bindir=%{_gamesbindir} \
	--datadir="\${prefix}/share" \
	--disable-static \
	--with-libggz-libraries=%{_libdir} \
	--with-ggzcore-libraries=%{_libdir} \
	--with-ggzmod-libraries=%{_libdir} \

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key="Encoding" \
  --add-category="GTK;Game" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang ggz-gtk --all-name

%files -f ggz-gtk.lang
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO README.GGZ QuickStart.GGZ
%{_gamesbindir}/ggz-gtk
%{_datadir}/applications/*
%{_datadir}/ggz/
%{_mandir}/man?/*
%{_datadir}/locale/de/LC_MESSAGES/*.mo
%{_libdir}/ggz

%files -n %{libname}
%{_libdir}/libggz-gtk.so.%{major}{,.*}

%files -n %{develname}
%doc COPYING ChangeLog
%{_includedir}/*
%{_libdir}/lib*.so


%changelog
* Wed May 14 2025 ns80 <ns80> 0.99.5-8.mga10
+ Revision: 2183366
- try to fix building with GCC 15

* Sat Mar 26 2022 umeabot <umeabot> 0.99.5-7.mga9
+ Revision: 1828337
- Mageia 9 Mass Rebuild

* Tue Aug 25 2020 martinw <martinw> 0.99.5-6.mga8
+ Revision: 1618961
- fix build with GCC 10

* Thu Feb 13 2020 umeabot <umeabot> 0.99.5-5.mga8
+ Revision: 1512505
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.99.5-4.mga7
+ Revision: 1297877
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_install

* Wed Sep 13 2017 cjw <cjw> 0.99.5-3.mga7
+ Revision: 1153448
- fix build with new find_lang

* Thu Feb 11 2016 umeabot <umeabot> 0.99.5-2.mga6
+ Revision: 954055
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 zezinho <zezinho> 0.99.5-1.mga6
+ Revision: 874661
- upgrade to latest snapshot

* Wed Oct 15 2014 umeabot <umeabot> 0.0.14.1-15.mga5
+ Revision: 742666
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.14.1-14.mga5
+ Revision: 679557
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.0.14.1-13.mga4
+ Revision: 504815
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.0.14.1-12.mga3
+ Revision: 351525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 23 2011 dmorgan <dmorgan> 0.0.14.1-11.mga2
+ Revision: 146960
- Drop .la files

* Sun Feb 20 2011 eandry <eandry> 0.0.14.1-10.mga1
+ Revision: 54824
- drop buildroot and old conditional
- fix license
- bump release for upgrade
- imported package ggz-gtk-client


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.14.1-9mdv2011.0
+ Revision: 605451
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.14.1-8mdv2010.1
+ Revision: 521481
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.0.14.1-7mdv2010.0
+ Revision: 424875
- rebuild

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.14.1-6mdv2009.1
+ Revision: 301536
- fix linkage
- rebuilt against new libxcb

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 0.0.14.1-4mdv2009.0
+ Revision: 200645
- ggz-game-modules should be suggests

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 0.0.14.1-3mdv2009.0
+ Revision: 200635
- fix obsoletes

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 0.0.14.1-2mdv2009.0
+ Revision: 200629
- fix libname

* Tue Feb 26 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.14.1-1mdv2008.1
+ Revision: 175533
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-2mdv2008.0
+ Revision: 52689
- drop debian menu
- drop gaim plugin


* Sat Feb 10 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-1mdv2007.0
+ Revision: 118746
- New version 0.0.14
- Import ggz-gtk-client

* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-3mdv2007.0
- buildrequires desktop-file-utils
- fix devel package

* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-3mdv2007.0
- xdg menu
- fix x86_64 build

* Mon May 22 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-2mdk
- spec cleanup
- fix need of devel packages for main one

* Mon May 22 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-1mdk
- New version
- mkrel
- drop patch 0 and 1
- libification

* Sat Nov 27 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version
- Drop P1 (UK server = default server)
- New P1: remove duplicated function declaration to fix build

* Wed Feb 11 2004 Abel Cheung <deaddog@deaddog.org> 0.0.8-1mdk
- New version
- Modify patch1 to add UK server to default server list

